#include <iostream>

using namespace std;

int main()
{
	int T, N, M, K;

	cin >> T;

	for (int i = 0; i < T; i++)
	{
		cin >> N >> M >> K;
		if (((N / K) * (N / K + 1) / 2) * K + (N % K) * (N / K + 1) > M)
			cout << "Nie";
		else
			cout << "Tak";
	}
}